PRIMES(6)

NAME
primes - print all primes larger than some given number

SYNOPSIS
/usr/games/primes [ number ]

DESCRIPTION

primes reads a number from the standard input and prints all primes larger than the given number. If number is given as an argument, it uses that number rather than reading one from the standard input.

BUGS

It obviously cannot print all primes larger than some given number. It will not behave very sensibly when it overflows an int.